import request from '@/utils/request'

/**
 * 服务商重量随机调整分页
 * @param {*} data
 * @returns
 */
export function _getServiceWeiAdjPageResult(data) {
  return request({
    url: '/ServiceWeiAdj/GetPageResult',
    method: 'post',
    data
  })
}

/**
 * 添加
 * @param {*} data
 * @returns
 */
export function _addServiceWeiAdj(data) {
  return request({
    url: '/ServiceWeiAdj/Add',
    method: 'post',
    data
  })
}

/**
 * 更新
 * @param {*} data
 * @returns
 */
export function  _updateServiceWeiAdj(data) {
  return request({
    url: '/ServiceWeiAdj/Update',
    method: 'post',
    data
  })
}

/**
 * 删除
 * @param {*} id
 * @returns
 */
export function _deleteServiceWeiAdj(id) {
  return request({
    url: '/ServiceWeiAdj/Delete',
    method: 'post',
    params: { id }
  })
}

/**
 * 查看日志
 * @param {*} id
 * @returns
 */
export function _getServiceWeiAdjChangeLogs(id) {
  return request({
    url: '/ServiceWeiAdj/GetChangeLogs',
    method: 'get',
    params: { id }
  })
}
